--- a/common/autoconf/build-performance.m4 Thu Jun 23 21:12:39 2016 +0000
+++ b/common/autoconf/build-performance.m4 Thu Jun 23 17:07:26 2016 -0700
@@ -367,6 +367,9 @@
elif test "x$TOOLCHAIN_TYPE" = xsolstudio; then
AC_MSG_RESULT([no, does not work with Solaris Studio])
USE_PRECOMPILED_HEADER=0
+ elif test "x$TOOLCHAIN_TYPE" = xxlc; then
+ AC_MSG_RESULT([no, does not work with xlc])
+ USE_PRECOMPILED_HEADER=0
else
AC_MSG_RESULT([yes])
fi
--- a/common/autoconf/flags.m4 Thu Jun 23 21:12:39 2016 +0000
+++ b/common/autoconf/flags.m4 Thu Jun 23 17:07:26 2016 -0700
@@ -593,9 +593,9 @@
fi
C_O_FLAG_NONE="-O0"
elif test "x$TOOLCHAIN_TYPE" = xxlc; then
- C_O_FLAG_HIGHEST_JVM="-O3"
- C_O_FLAG_HIGHEST="-O3"
- C_O_FLAG_HI="-O3 -qstrict"
+ C_O_FLAG_HIGHEST_JVM="-O3 -qhot=level=1 -qinline -qinlglue"
+ C_O_FLAG_HIGHEST="-O3 -qhot=level=1 -qinline -qinlglue"
+ C_O_FLAG_HI="-O3 -qinline -qinlglue"
C_O_FLAG_NORM="-O2"
C_O_FLAG_DEBUG="-qnoopt"
# FIXME: Value below not verified.
@@ -911,8 +911,8 @@
elif test "x$OPENJDK_$1_OS" = xaix; then
$2JVM_CFLAGS="[$]$2JVM_CFLAGS -DAIX"
# We may need '-qminimaltoc' or '-qpic=large -bbigtoc' if the TOC overflows.
- $2JVM_CFLAGS="[$]$2JVM_CFLAGS -qtune=balanced -qhot=level=1 -qinline \
- -qinlglue -qalias=noansi -qstrict -qtls=default -qlanglvl=c99vla \
+ $2JVM_CFLAGS="[$]$2JVM_CFLAGS -qtune=balanced \
+ -qalias=noansi -qstrict -qtls=default -qlanglvl=c99vla \
-qlanglvl=noredefmac -qnortti -qnoeh -qignerrno"
elif test "x$OPENJDK_$1_OS" = xbsd; then
$2COMMON_CCXXFLAGS_JDK="[$]$2COMMON_CCXXFLAGS_JDK -D_ALLBSD_SOURCE"
--- a/common/autoconf/generated-configure.sh Thu Jun 23 21:12:39 2016 +0000
+++ b/common/autoconf/generated-configure.sh Thu Jun 23 17:07:26 2016 -0700
@@ -49623,9 +49623,9 @@
fi
C_O_FLAG_NONE="-O0"
elif test "x$TOOLCHAIN_TYPE" = xxlc; then
- C_O_FLAG_HIGHEST_JVM="-O3"
- C_O_FLAG_HIGHEST="-O3"
- C_O_FLAG_HI="-O3 -qstrict"
+ C_O_FLAG_HIGHEST_JVM="-O3 -qhot=level=1 -qinline -qinlglue"
+ C_O_FLAG_HIGHEST="-O3 -qhot=level=1 -qinline -qinlglue"
+ C_O_FLAG_HI="-O3 -qinline -qinlglue"
C_O_FLAG_NORM="-O2"
C_O_FLAG_DEBUG="-qnoopt"
# FIXME: Value below not verified.
@@ -50632,8 +50632,8 @@
elif test "x$OPENJDK_TARGET_OS" = xaix; then
JVM_CFLAGS="$JVM_CFLAGS -DAIX"
# We may need '-qminimaltoc' or '-qpic=large -bbigtoc' if the TOC overflows.
- JVM_CFLAGS="$JVM_CFLAGS -qtune=balanced -qhot=level=1 -qinline \
- -qinlglue -qalias=noansi -qstrict -qtls=default -qlanglvl=c99vla \
+ JVM_CFLAGS="$JVM_CFLAGS -qtune=balanced \
+ -qalias=noansi -qstrict -qtls=default -qlanglvl=c99vla \
-qlanglvl=noredefmac -qnortti -qnoeh -qignerrno"
elif test "x$OPENJDK_TARGET_OS" = xbsd; then
COMMON_CCXXFLAGS_JDK="$COMMON_CCXXFLAGS_JDK -D_ALLBSD_SOURCE"
@@ -51437,8 +51437,8 @@
elif test "x$OPENJDK_BUILD_OS" = xaix; then
OPENJDK_BUILD_JVM_CFLAGS="$OPENJDK_BUILD_JVM_CFLAGS -DAIX"
# We may need '-qminimaltoc' or '-qpic=large -bbigtoc' if the TOC overflows.
- OPENJDK_BUILD_JVM_CFLAGS="$OPENJDK_BUILD_JVM_CFLAGS -qtune=balanced -qhot=level=1 -qinline \
- -qinlglue -qalias=noansi -qstrict -qtls=default -qlanglvl=c99vla \
+ OPENJDK_BUILD_JVM_CFLAGS="$OPENJDK_BUILD_JVM_CFLAGS -qtune=balanced \
+ -qalias=noansi -qstrict -qtls=default -qlanglvl=c99vla \
-qlanglvl=noredefmac -qnortti -qnoeh -qignerrno"
elif test "x$OPENJDK_BUILD_OS" = xbsd; then
OPENJDK_BUILD_COMMON_CCXXFLAGS_JDK="$OPENJDK_BUILD_COMMON_CCXXFLAGS_JDK -D_ALLBSD_SOURCE"
@@ -53466,7 +53466,7 @@
$as_echo "no, forced" >&6; }
BUILD_GTEST="false"
elif test "x$enable_hotspot_gtest" = "x"; then
- if test "x$GTEST_DIR_EXISTS" = "xtrue"; then
+ if test "x$GTEST_DIR_EXISTS" = "xtrue" && test "x$OPENJDK_TARGET_OS" != "xaix"; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: yes" >&5
$as_echo "yes" >&6; }
BUILD_GTEST="true"
@@ -64610,12 +64610,16 @@
- if test "$OPENJDK_TARGET_OS" = "solaris"; then
+ if test "$OPENJDK_TARGET_OS" = "solaris" && test "x$BUILD_GTEST" = "xtrue"; then
# Find the root of the Solaris Studio installation from the compiler path
SOLARIS_STUDIO_DIR="$(dirname $CC)/.."
STLPORT_LIB="$SOLARIS_STUDIO_DIR/lib/stlport4$OPENJDK_TARGET_CPU_ISADIR/libstlport.so.1"
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for libstlport.so.1" >&5
$as_echo_n "checking for libstlport.so.1... " >&6; }
+ if ! test -f "$STLPORT_LIB" && test "x$OPENJDK_TARGET_CPU_ISADIR" = "x/sparcv9"; then
+ # SS12u3 has libstlport under 'stlport4/v9' instead of 'stlport4/sparcv9'
+ STLPORT_LIB="$SOLARIS_STUDIO_DIR/lib/stlport4/v9/libstlport.so.1"
+ fi
if test -f "$STLPORT_LIB"; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: yes, $STLPORT_LIB" >&5
$as_echo "yes, $STLPORT_LIB" >&6; }
@@ -66130,6 +66134,10 @@
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: no, does not work with Solaris Studio" >&5
$as_echo "no, does not work with Solaris Studio" >&6; }
USE_PRECOMPILED_HEADER=0
+ elif test "x$TOOLCHAIN_TYPE" = xxlc; then
+ { $as_echo "$as_me:${as_lineno-$LINENO}: result: no, does not work with xlc" >&5
+$as_echo "no, does not work with xlc" >&6; }
+ USE_PRECOMPILED_HEADER=0
else
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: yes" >&5
$as_echo "yes" >&6; }
--- a/common/autoconf/hotspot.m4 Thu Jun 23 21:12:39 2016 +0000
+++ b/common/autoconf/hotspot.m4 Thu Jun 23 17:07:26 2016 -0700
@@ -333,7 +333,7 @@
AC_MSG_RESULT([no, forced])
BUILD_GTEST="false"
elif test "x$enable_hotspot_gtest" = "x"; then
- if test "x$GTEST_DIR_EXISTS" = "xtrue"; then
+ if test "x$GTEST_DIR_EXISTS" = "xtrue" && test "x$OPENJDK_TARGET_OS" != "xaix"; then
AC_MSG_RESULT([yes])
BUILD_GTEST="true"
else
--- a/common/autoconf/libraries.m4 Thu Jun 23 21:12:39 2016 +0000
+++ b/common/autoconf/libraries.m4 Thu Jun 23 17:07:26 2016 -0700
@@ -197,11 +197,15 @@
################################################################################
AC_DEFUN_ONCE([LIB_SETUP_SOLARIS_STLPORT],
[
- if test "$OPENJDK_TARGET_OS" = "solaris"; then
+ if test "$OPENJDK_TARGET_OS" = "solaris" && test "x$BUILD_GTEST" = "xtrue"; then
# Find the root of the Solaris Studio installation from the compiler path
SOLARIS_STUDIO_DIR="$(dirname $CC)/.."
STLPORT_LIB="$SOLARIS_STUDIO_DIR/lib/stlport4$OPENJDK_TARGET_CPU_ISADIR/libstlport.so.1"
AC_MSG_CHECKING([for libstlport.so.1])
+ if ! test -f "$STLPORT_LIB" && test "x$OPENJDK_TARGET_CPU_ISADIR" = "x/sparcv9"; then
+ # SS12u3 has libstlport under 'stlport4/v9' instead of 'stlport4/sparcv9'
+ STLPORT_LIB="$SOLARIS_STUDIO_DIR/lib/stlport4/v9/libstlport.so.1"
+ fi
if test -f "$STLPORT_LIB"; then
AC_MSG_RESULT([yes, $STLPORT_LIB])
BASIC_FIXUP_PATH([STLPORT_LIB])
--- a/common/conf/jib-profiles.js Thu Jun 23 21:12:39 2016 +0000
+++ b/common/conf/jib-profiles.js Thu Jun 23 17:07:26 2016 -0700
@@ -254,7 +254,7 @@
build_cpu: "x64",
dependencies: concat(common.dependencies, "devkit"),
configure_args: concat(common.configure_args, common.configure_args_32bit,
- "--with-jvm-variants=minimal,client,server", "--with-zlib=system"),
+ "--with-jvm-variants=minimal,server", "--with-zlib=system"),
default_make_targets: common.default_make_targets
},
@@ -295,8 +295,7 @@
target_cpu: "x86",
build_cpu: "x64",
dependencies: concat(common.dependencies, "devkit", "freetype"),
- configure_args: concat(common.configure_args,
- "--with-jvm-variants=client,server", common.configure_args_32bit),
+ configure_args: concat(common.configure_args, common.configure_args_32bit),
default_make_targets: common.default_make_targets
}
};
--- a/make/jprt.properties Thu Jun 23 21:12:39 2016 +0000
+++ b/make/jprt.properties Thu Jun 23 17:07:26 2016 -0700
@@ -75,7 +75,7 @@
jprt.macosx.jdk9.target.attribute.compilerXcode511.appliesTo.builds=none
# Set up the run flavors (jvm variants)
-jprt.run.flavors=c1,c2,default,${my.additional.run.flavors}
+jprt.run.flavors=c2,default,${my.additional.run.flavors}
# Setup jib profiles
jprt.linux_i586.product.build.jib.profile=linux-x86
@@ -208,10 +208,10 @@
my.test.target.set= \
solaris_sparcv9_5.11-product-c2-TESTNAME, \
solaris_x64_5.11-product-c2-TESTNAME, \
- linux_i586_3.8-product-{c1|c2}-TESTNAME, \
+ linux_i586_3.8-product-c2-TESTNAME, \
linux_x64_3.8-product-c2-TESTNAME, \
macosx_x64_10.9-product-c2-TESTNAME, \
- windows_i586_6.3-product-c1-TESTNAME, \
+ windows_i586_6.3-product-c2-TESTNAME, \
windows_x64_6.3-product-c2-TESTNAME
# Default vm test targets (testset=default)
@@ -296,7 +296,7 @@
my.test.target.set.jck= \
solaris_sparcv9_5.11-product-c2-JCK7TESTRULE, \
solaris_x64_5.11-product-c2-JCK7TESTRULE, \
- linux_i586_3.8-product-c1-JCK7TESTRULE, \
+ linux_i586_3.8-product-c2-JCK7TESTRULE, \
linux_x64_3.8-product-c2-JCK7TESTRULE
# JCK testset targets
--- a/test/jtreg-ext/requires/VMProps.java Thu Jun 23 21:12:39 2016 +0000
+++ b/test/jtreg-ext/requires/VMProps.java Thu Jun 23 17:07:26 2016 -0700
@@ -23,6 +23,8 @@
package requires;
import java.io.IOException;
+import java.lang.management.ManagementFactory;
+import java.lang.management.RuntimeMXBean;
import java.nio.file.Files;
import java.nio.file.Paths;
import java.util.ArrayList;
@@ -52,10 +54,30 @@
map.put("vm.flavor", vmFlavor());
map.put("vm.compMode", vmCompMode());
map.put("vm.bits", vmBits());
+ map.put("vm.flightRecorder", vmFlightRecorder());
+ map.put("vm.simpleArch", vmArch());
dump(map);
return map;
}
+
+ /**
+ * @return vm.simpleArch value of "os.simpleArch" property of tested JDK.
+ */
+ protected String vmArch() {
+ String arch = System.getProperty("os.arch");
+ if (arch.equals("x86_64") || arch.equals("amd64")) {
+ return "x64";
+ }
+ else if (arch.contains("86")) {
+ return "x86";
+ } else {
+ return arch;
+ }
+ }
+
+
+
/**
* @return VM type value extracted from the "java.vm.name" property.
*/
@@ -104,6 +126,27 @@
}
/**
+ * @return "true" if Flight Recorder is enabled, "false" if is disabled.
+ */
+ protected String vmFlightRecorder() {
+ RuntimeMXBean runtimeMxBean = ManagementFactory.getRuntimeMXBean();
+ List<String> arguments = runtimeMxBean.getInputArguments();
+ if (arguments.contains("-XX:+UnlockCommercialFeatures")) {
+ if (arguments.contains("-XX:+FlightRecorder")) {
+ return "true";
+ }
+ if (arguments.contains("-XX:-FlightRecorder")) {
+ return "false";
+ }
+ if (arguments.stream()
+ .anyMatch(option -> option.startsWith("-XX:StartFlightRecording"))) {
+ return "true";
+ }
+ }
+ return "false";
+ }
+
+ /**
* Dumps the map to the file if the file name is given as the property.
* This functionality could be helpful to know context in the real
* execution.
@@ -116,9 +159,9 @@
return;
}
List<String> lines = new ArrayList<>();
- map.forEach((k,v) -> lines.add(k + ":" + v));
+ map.forEach((k, v) -> lines.add(k + ":" + v));
try {
- Files.write(Paths.get(dumpFileName), lines);
+ Files.write(Paths.get(dumpFileName), lines);
} catch (IOException e) {
throw new RuntimeException("Failed to dump properties into '"
+ dumpFileName + "'", e);
@@ -131,6 +174,6 @@
*/
public static void main(String args[]) {
Map<String, String> map = new VMProps().call();
- map.forEach((k,v) -> System.out.println(k + ": '" + v + "'"));
+ map.forEach((k, v) -> System.out.println(k + ": '" + v + "'"));
}
}
--- a/test/lib/sun/hotspot/WhiteBox.java Thu Jun 23 21:12:39 2016 +0000
+++ b/test/lib/sun/hotspot/WhiteBox.java Thu Jun 23 17:07:26 2016 -0700
@@ -376,6 +376,7 @@
public native void freeMetaspace(ClassLoader classLoader, long addr, long size);
public native long incMetaspaceCapacityUntilGC(long increment);
public native long metaspaceCapacityUntilGC();
+ public native boolean metaspaceShouldConcurrentCollect();
// Don't use these methods directly
// Use sun.hotspot.gc.GC class instead.